# Quandl::Utility

## Purpose

The purpose of this gem is to:

- maintain semantic versioning
- maintain a changelog that lists commits for each version, matching a set of patterns


## Installation

```ruby
gem 'quandl_utility'
```

## Thor Tasks

Quandl::Utility Thor tasks are available in two ways:

* Using the executable 'qutil'

```bash
qutil ci:notify_slack
```

* Including in your Thorfile

```ruby
require 'quandl/utility/thor_tasks'

desc 'my_task'
def my_task
  invoke 'qutil:ci:notify_slack', ['#general', 'ping!']
end
```

### Lint

Linting tasks. Currently supports Rubocop and Foodcritic for linting Ruby projects and Chef cookbooks.

```bash
qutil lint help
```

#### ruby

Run Rubocop linting on project.

```bash
qutil lint ruby
```

#### init_ruby

Initialize Rubocop linting on project. Create two files: an organization base YAML config of linting rules, and an empty project YAML config
that inherits from the organization config.

```bash
qutil lint init_ruby
```

#### cookbook

```bash
qutil lint cookbook
```

### CI

Task for the Continuous Integration server.

```bash
qutil ci help
```

#### notify_slack

Notify slack of build status. Uses various tddium ENV variables to build a message that is sent to slack.

```bash
qutil ci notify_slack
```
